org.eclipse.emf.facet.util.emf.core

## Interface IEObjectBrowserOpener

    public interface IEObjectBrowserOpener

This class is used to register a Browser (typically an Eclipse editor or view), that can be opened from a given EObject. The registration is done through the "org.eclipse.emf.facet.util.emf.core.modelViewer" extension point.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getBrowserName()` Return a human readable name for the `EObject` browser.
`void` `openEObject(EObject eObject)` This method opens the given `EObject` with the browser corresponding to this `IEObjectBrowserOpener`.

### Method Detail

#### openEObject

    void openEObject(EObject eObject)

This method opens the given `EObject` with the browser corresponding to this `IEObjectBrowserOpener`.

Parameters:
  `eObject` - the `EObject` to be opened

#### getBrowserName

    java.lang.String getBrowserName()

Return a human readable name for the `EObject` browser.

Returns:
  a human readable name for the `EObject` browser